Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class ContextResourceLink

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextResourceLink

All Implemented Interfaces:
  Serializable, Injectable

    public class ContextResourceLink

extends ResourceBase

Representation of a resource link for a web application, as represented in a `<ResourceLink>` element in the server configuration file.

Version:
  $Id: ContextResourceLink.java 1226539 2012-01-02 20:18:01Z markt $
Author:
  Remy Maucherat, Peter Rossbach (Peter Rossbach (pero@apache.org))
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextResourceLink()`

Method Summary
`boolean` `equals(Object obj)`
`String` `getFactory()`
`String` `getGlobal()`
`int` `hashCode()`
`void` `setFactory(String factory)`
`void` `setGlobal(String global)`
`String` `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextResourceLink

    public ContextResourceLink()

Method Detail

### getGlobal

    public String getGlobal()

### setGlobal

    public void setGlobal(String global)

### getFactory

    public String getFactory()

### setFactory

    public void setFactory(String factory)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ResourceBase`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ResourceBase`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.